﻿USE [COWS]
GO
_CreateObject 'SP','dbo','getVendorOrder'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- ================================================================
-- Author:		Lakshmi Kadiyala
-- Create date: 12th July 2011
-- Description:	Returns Vendor Order details
-- ================================================================

ALTER PROCEDURE [dbo].[getVendorOrder]
	@VendorOrderID INT
AS
BEGIN
SET NOCOUNT ON;

BEGIN TRY
	OPEN SYMMETRIC KEY FS@K3y 
	DECRYPTION BY CERTIFICATE S3cFS@CustInf0;

	SELECT	VO.[VNDR_ORDR_ID],
			VO.[VNDR_FOLDR_ID],
			LV.VNDR_CD,
			LV.VNDR_NME,
			CASE WHEN (O.CSG_LVL_ID>0) THEN ISNULL(dbo.decryptBinaryData(csd.CTY_NME), '') ELSE ISNULL(OA.CTY_NME,'') END AS CTY_NME,
			ISNULL(LC2.CTRY_CD, '')							AS CTRY_CD,
			ISNULL(LC2.CTRY_NME, '')						AS CTRY_NME,
			VO.[ORDR_ID],
			FO.FTN,
			HF.H5_FOLDR_ID,
			HF.CUST_ID,
			VO.[CREAT_DT],
			LU.FULL_NME,
			VO.TRMTG_CD,
			VO.VNDR_ORDR_TYPE_ID,
			ISNULL(VO.BYPAS_VNDR_ORDR_MS_CD,'0') AS BYPAS_VNDR_ORDR_MS_CD
	FROM				[dbo].[VNDR_ORDR]	VO	WITH (NOLOCK) 
		INNER JOIN		[dbo].[VNDR_FOLDR]	VF	WITH (NOLOCK) ON VO.VNDR_FOLDR_ID		= VF.VNDR_FOLDR_ID
		INNER JOIN		[dbo].[LK_VNDR]		LV	WITH (NOLOCK) ON VF.VNDR_CD				= LV.VNDR_CD 
		--LEFT OUTER JOIN [dbo].[LK_CTRY]		LC	WITH (NOLOCK) ON VF.CTRY_CD				= LC.CTRY_CD
		INNER JOIN		[dbo].[LK_USER]		LU	WITH (NOLOCK) ON VO.CREAT_BY_USER_ID	= LU.[USER_ID]
		LEFT OUTER JOIN [dbo].[ORDR]		O	WITH (NOLOCK) ON VO.VNDR_ORDR_ID		= O.ORDR_ID  
		LEFT OUTER JOIN [dbo].[H5_FOLDR]	HF	WITH (NOLOCK) ON O.H5_FOLDR_ID			= HF.H5_FOLDR_ID
		LEFT OUTER JOIN [dbo].[FSA_ORDR]	FO	WITH (NOLOCK) ON VO.ORDR_ID				= FO.ORDR_ID
		LEFT OUTER JOIN dbo.ORDR_ADR		OA	WITH (NOLOCK) ON VO.ORDR_ID				= OA.ORDR_ID		
																AND	OA.ADR_TYPE_ID IN (18, CASE VO.TRMTG_CD WHEN 0 THEN 11 WHEN 1 THEN 12 END)
		LEFT OUTER JOIN dbo.CUST_SCRD_DATA  csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID		= OA.ORDR_ADR_ID AND csd.SCRD_OBJ_TYPE_ID=14
		LEFT OUTER JOIN dbo.LK_CTRY			LC2	WITH (NOLOCK) ON OA.CTRY_CD				= LC2.CTRY_CD				
	WHERE VO.VNDR_ORDR_ID = @VendorOrderID  
END TRY
BEGIN CATCH
	EXEC [dbo].[insertErrorInfo]
END CATCH
END
